Home
Home
  1. Mandates
  • Welcome
    • About Ontime
    • Overview
    • Test and Learn Projects
  • Authentication
  • Idempotency
  • Availability Check
    • Light Availability Check
      POST
    • Full Availability Check
      POST
  • Payment Management
    • Mandates
      • Create a new mandate
        POST
      • Revoke a Mandate
        DELETE
      • Get a Mandate
        GET
      • Search mandates with filtering and pagination
        GET
    • Payment Requests
      • Instruct a new payment request
      • Cancel an existing payment request
      • Get a Payment
      • Search payment requests with filtering and pagination
    • Schedules
      • Instruct a new schedule
      • Cancel an existing schedule
      • Get a schedule
      • Get many schedules
  • Payouts
    • Get a Payout
      GET
    • Get Available Payouts
      GET
  • Webhooks
    • Mandate Created/Updated
    • Payment Request Created/Updated
    • Payout Created
  • Schemas
    • Schemas
      • PaymentManagement
        • MandateDeleteResponse
        • GetMandatesPagedResponse
        • MandateStatus
        • PaymentDeleteResponse
        • GetPaymentsPagedResponse
      • Payout
      • Deprecated
        • Invitation
        • Consumer
        • PaymentMethod
        • ProductPaymentStatus
        • ProductStatus
        • PaymentRequestData
      • Webhook
        • Webhook
        • WebhookPaymentRequestPayload
        • WebhookMandatePayload
        • WebhookPayoutPayload
      • Core
      • Availability
    • AvailabilityStatus
    • ProblemDetails
    • Metadata
    • ScheduleCancelResponse
    • InstalmentRequest
    • ScheduleResponse
    • ScheduleStatus
    • PagingResponse
    • InstalmentResponse
    • ConsumerData
    • LightAvailabilityCheckRequest
    • LightAvailabilityCheckResponse
    • PayoutPaymentRequestItem
    • PayoutResponse
    • ListPayoutsResponse
    • ScheduleCreateRequest
    • AuthorisationSource
    • PaymentStatus
    • FullAvailabilityCheckRequest
    • MandateRecordResponse
    • MandateLimitations
    • MandateRecordRequest
    • PaymentCreateRequest
    • ExpectedPayment
    • PaymentCancelResponse
    • FullAvailabilityCheckResponse
    • PaymentResponse
    • SearchMandatesResponse
    • SearchMandatesResults
    • MandateWrapper
    • MandateDto
    • SearchPagingInfo
    • SearchPaymentsResponse
    • SearchPaymentsResults
    • PaymentRecordWrapper
    • SearchPaymentRecord
    • SearchPaymentsPagingResponse
    • SearchSchedulesResponse
  1. Mandates

Search mandates with filtering and pagination

Developing
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
GET
https://mock.apidog.com/m1/828215-0-default
/mandates/search
OperationId:searchMandates
Retrieves a cursor paginated list of mandates for the authenticated biller, with optional status filtering. Results are ordered by mandate id, not by date. To get the next page pass paging.next_cursor as the cursor parameter; next_cursor is null on the last page. When filtering by status a page can contain fewer results than the limit, or none, while has_more is still true.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200Success
application/json
Successful search response
Bodyapplication/json

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://mock.apidog.com/m1/828215-0-default/mandates/search?status=&limit=&cursor=' \
--header 'x-api-key: <api-key>' \
--header 'Authorization: <api-key>'
Response Response Example
200 - Success Example
{
    "results": {
        "mandates": [
            {
                "mandate_record": {
                    "id": "cb6f2d8a-dcd0-4201-a8b9-ec8184418045",
                    "start_date": "2026-09-10",
                    "end_date": "2027-09-10",
                    "authorisation_source": "Web",
                    "status": "Active",
                    "limitations": {
                        "currency": "GBP",
                        "maximum_payment_amount": 63415,
                        "percentage_of_payment_amount_accepted": 100
                    },
                    "initiator_data": {
                        "consumer_data": {
                            "given_name": "John",
                            "family_name": "Smith",
                            "payment_reference": "REF-12345",
                            "email_address": "john.smith@example.org",
                            "phone_number": null,
                            "national_registration_number": "QQ999999A"
                        }
                    },
                    "metadata": null
                }
            }
        ],
        "paging": {
            "limit": 50,
            "has_more": true,
            "next_cursor": "eyJsYXN0S2V5IjoiYWJjMTIzIn0="
        }
    }
}
Previous
Get a Mandate
Next
Payment Requests